## ros-noetic-roscpp 1.16.0

=== debian/changelog ===
ros-noetic-roscpp (1.16.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 06:00:00 -0000

ros-noetic-roscpp (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Contributors: Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 06:00:00 -0000

ros-noetic-roscpp (1.15.14-1focal) focal; urgency=high

  * Use recursive mutex to fix dead lock (#2209 <https://github.com/ros/ros_comm/issues/2209>)
  * Contributors: Chen Lihui

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 06:00:00 -0000

ros-noetic-roscpp (1.15.13-1focal) focal; urgency=high

  * Revert "Fix warning related to Boost bind placeholders declared in global namespace. (#2169 <https://github.com/ros/ros_comm/issues/2169>)" (#2187 <https://github.com/ros/ros_comm/issues/2187>)
    This reverts commit 32942993e3f9afc8248be7b1f5944344fa2b4e30.
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 05:00:00 -0000

ros-noetic-roscpp (1.15.12-1focal) focal; urgency=high

  * Fix warning related to Boost bind placeholders declared in global namespace (#2169 <https://github.com/ros/ros_comm/issues/2169>)
  * Contributors: Elvis Dowson

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 05:00:00 -0000

ros-noetic-roscpp (1.15.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-noetic-roscpp (1.15.10-1focal) focal; urgency=high

  * Fix for deadlock issue related to timers (#2121 <https://github.com/ros/ros_comm/issues/2121>)
  * Fix getNumPublishers() to only count fully connected (#2107 <https://github.com/ros/ros_comm/issues/2107>)
  * Replace message assertion with logging in order to have release modes to fail in compilation when msg type mismatches occur (#2096 <https://github.com/ros/ros_comm/issues/2096>)
  * Contributors: C. Andy Martin, Ivor Wanders, Tahsincan Köse

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-noetic-roscpp (1.15.9-1focal) focal; urgency=high

  * Fix deadlock when service connection is dropped (#2074 <https://github.com/ros/ros_comm/issues/2074>)
  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix case where accessing cached parameters shuts down another node (#2068 <https://github.com/ros/ros_comm/issues/2068>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Fix Lost Wake Bug in ROSOutAppender (#2033 <https://github.com/ros/ros_comm/issues/2033>)
  * Fix compatibility issue with boost 1.73 and above (#2023 <https://github.com/ros/ros_comm/issues/2023>)
  * Contributors: Adel Fakih, Chen Lihui, Sean Yen, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 05:00:00 -0000

ros-noetic-roscpp (1.15.8-1focal) focal; urgency=high

  * change is_async_connected to use epoll when available (#1983 <https://github.com/ros/ros_comm/issues/1983>)
  * allow mixing latched and unlatched publishers (#1991 <https://github.com/ros/ros_comm/issues/1991>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-noetic-roscpp (1.15.7-1focal) focal; urgency=high

  * fix Windows build break (#1961 <https://github.com/ros/ros_comm/issues/1961>) (regression from 1.15.5)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 05:00:00 -0000

ros-noetic-roscpp (1.15.6-1focal) focal; urgency=high

  * fix a bug that using a destroyed connection object (#1950 <https://github.com/ros/ros_comm/issues/1950>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-roscpp (1.15.5-1focal) focal; urgency=high

  * check if async socket connect is success or failure before TransportTCP::read() and TransportTCP::write() (#1954 <https://github.com/ros/ros_comm/issues/1954>)
  * fix bug that connection drop signal related funtion throw a bad_weak exception (#1940 <https://github.com/ros/ros_comm/issues/1940>)
  * multiple latched publishers per process on the same topic (#1544 <https://github.com/ros/ros_comm/issues/1544>)
  * fix negative numbers in ros statistics (#1531 <https://github.com/ros/ros_comm/issues/1531>)
  * remove extra n in ROS_DEBUG (#1925 <https://github.com/ros/ros_comm/issues/1925>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 05:00:00 -0000

ros-noetic-roscpp (1.15.4-1focal) focal; urgency=high

  * restrict boost dependencies to components used (#1871 <https://github.com/ros/ros_comm/issues/1871>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-noetic-roscpp (1.15.3-1focal) focal; urgency=high

  * remove Boost version check since Noetic only targets platforms with 1.67+ (#1903 <https://github.com/ros/ros_comm/issues/1903>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 06:00:00 -0000

ros-noetic-roscpp (1.15.2-1focal) focal; urgency=high

  * export missing Boost dependency (#1898 <https://github.com/ros/ros_comm/issues/1898>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 06:00:00 -0000

ros-noetic-roscpp (1.15.1-1focal) focal; urgency=high

  * fix missing boost dependencies (#1895 <https://github.com/ros/ros_comm/issues/1895>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-roscpp (1.15.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 06:00:00 -0000

ros-noetic-roscpp (1.14.4-1focal) focal; urgency=high

  * add default ROS_MASTER_URI (#1666 <https://github.com/ros/ros_comm/issues/1666>)
  * add default assignment operator for various classes (#1888 <https://github.com/ros/ros_comm/issues/1888>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)

